"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ProjectStatusesService = exports.ProjectsService = exports.ProjectMembershipsService = exports.ProjectBriefsService = exports.PortfoliosService = exports.PortfolioMembershipsService = exports.OrganizationExportsService = exports.JobsService = exports.GoalsService = exports.GoalRelationshipsService = exports.EventsService = exports.CustomFieldSettingsService = exports.CustomFieldsService = exports.BatchApiService = exports.AuditLogApiService = exports.AttachmentsService = exports.TimePeriodCompact = exports.TeamResponse = exports.TeamRequest = exports.TaskDuplicateRequest = exports.TaskCompact = exports.TaskBase = exports.TagBase = exports.StoryResponse = exports.StoryBase = exports.StatusUpdateCompact = exports.StatusUpdateBase = exports.ProjectTemplateBase = exports.ProjectStatusBase = exports.ProjectResponse = exports.ProjectMembershipResponse = exports.ProjectDuplicateRequest = exports.ProjectBase = exports.PortfolioBase = exports.OrganizationExportCompact = exports.JobCompact = exports.GoalRelationshipCompact = exports.GoalMetricBase = exports.CustomFieldCompact = exports.CustomFieldBase = exports.BatchRequestAction = exports.AuditLogEventContext = exports.AuditLogEventActor = exports.AttachmentRequest = exports.OpenAPI = exports.CancelError = exports.CancelablePromise = exports.BaseHttpRequest = exports.ApiError = exports.AsanaApi = void 0;
exports.WorkspacesService = exports.WorkspaceMembershipsService = exports.WebhooksService = exports.UserTaskListsService = exports.UsersService = exports.TypeaheadService = exports.TimePeriodsService = exports.TeamsService = exports.TeamMembershipsService = exports.TasksService = exports.TagsService = exports.StoriesService = exports.StatusUpdatesService = exports.SectionsService = exports.ProjectTemplatesService = void 0;
/* istanbul ignore file */
/* tslint:disable */
/* eslint-disable */
var AsanaApi_1 = require("./AsanaApi");
Object.defineProperty(exports, "AsanaApi", { enumerable: true, get: function () { return AsanaApi_1.AsanaApi; } });
var ApiError_1 = require("./core/ApiError");
Object.defineProperty(exports, "ApiError", { enumerable: true, get: function () { return ApiError_1.ApiError; } });
var BaseHttpRequest_1 = require("./core/BaseHttpRequest");
Object.defineProperty(exports, "BaseHttpRequest", { enumerable: true, get: function () { return BaseHttpRequest_1.BaseHttpRequest; } });
var CancelablePromise_1 = require("./core/CancelablePromise");
Object.defineProperty(exports, "CancelablePromise", { enumerable: true, get: function () { return CancelablePromise_1.CancelablePromise; } });
Object.defineProperty(exports, "CancelError", { enumerable: true, get: function () { return CancelablePromise_1.CancelError; } });
var OpenAPI_1 = require("./core/OpenAPI");
Object.defineProperty(exports, "OpenAPI", { enumerable: true, get: function () { return OpenAPI_1.OpenAPI; } });
var AttachmentRequest_1 = require("./models/AttachmentRequest");
Object.defineProperty(exports, "AttachmentRequest", { enumerable: true, get: function () { return AttachmentRequest_1.AttachmentRequest; } });
var AuditLogEventActor_1 = require("./models/AuditLogEventActor");
Object.defineProperty(exports, "AuditLogEventActor", { enumerable: true, get: function () { return AuditLogEventActor_1.AuditLogEventActor; } });
var AuditLogEventContext_1 = require("./models/AuditLogEventContext");
Object.defineProperty(exports, "AuditLogEventContext", { enumerable: true, get: function () { return AuditLogEventContext_1.AuditLogEventContext; } });
var BatchRequestAction_1 = require("./models/BatchRequestAction");
Object.defineProperty(exports, "BatchRequestAction", { enumerable: true, get: function () { return BatchRequestAction_1.BatchRequestAction; } });
var CustomFieldBase_1 = require("./models/CustomFieldBase");
Object.defineProperty(exports, "CustomFieldBase", { enumerable: true, get: function () { return CustomFieldBase_1.CustomFieldBase; } });
var CustomFieldCompact_1 = require("./models/CustomFieldCompact");
Object.defineProperty(exports, "CustomFieldCompact", { enumerable: true, get: function () { return CustomFieldCompact_1.CustomFieldCompact; } });
var GoalMetricBase_1 = require("./models/GoalMetricBase");
Object.defineProperty(exports, "GoalMetricBase", { enumerable: true, get: function () { return GoalMetricBase_1.GoalMetricBase; } });
var GoalRelationshipCompact_1 = require("./models/GoalRelationshipCompact");
Object.defineProperty(exports, "GoalRelationshipCompact", { enumerable: true, get: function () { return GoalRelationshipCompact_1.GoalRelationshipCompact; } });
var JobCompact_1 = require("./models/JobCompact");
Object.defineProperty(exports, "JobCompact", { enumerable: true, get: function () { return JobCompact_1.JobCompact; } });
var OrganizationExportCompact_1 = require("./models/OrganizationExportCompact");
Object.defineProperty(exports, "OrganizationExportCompact", { enumerable: true, get: function () { return OrganizationExportCompact_1.OrganizationExportCompact; } });
var PortfolioBase_1 = require("./models/PortfolioBase");
Object.defineProperty(exports, "PortfolioBase", { enumerable: true, get: function () { return PortfolioBase_1.PortfolioBase; } });
var ProjectBase_1 = require("./models/ProjectBase");
Object.defineProperty(exports, "ProjectBase", { enumerable: true, get: function () { return ProjectBase_1.ProjectBase; } });
var ProjectDuplicateRequest_1 = require("./models/ProjectDuplicateRequest");
Object.defineProperty(exports, "ProjectDuplicateRequest", { enumerable: true, get: function () { return ProjectDuplicateRequest_1.ProjectDuplicateRequest; } });
var ProjectMembershipResponse_1 = require("./models/ProjectMembershipResponse");
Object.defineProperty(exports, "ProjectMembershipResponse", { enumerable: true, get: function () { return ProjectMembershipResponse_1.ProjectMembershipResponse; } });
var ProjectResponse_1 = require("./models/ProjectResponse");
Object.defineProperty(exports, "ProjectResponse", { enumerable: true, get: function () { return ProjectResponse_1.ProjectResponse; } });
var ProjectStatusBase_1 = require("./models/ProjectStatusBase");
Object.defineProperty(exports, "ProjectStatusBase", { enumerable: true, get: function () { return ProjectStatusBase_1.ProjectStatusBase; } });
var ProjectTemplateBase_1 = require("./models/ProjectTemplateBase");
Object.defineProperty(exports, "ProjectTemplateBase", { enumerable: true, get: function () { return ProjectTemplateBase_1.ProjectTemplateBase; } });
var StatusUpdateBase_1 = require("./models/StatusUpdateBase");
Object.defineProperty(exports, "StatusUpdateBase", { enumerable: true, get: function () { return StatusUpdateBase_1.StatusUpdateBase; } });
var StatusUpdateCompact_1 = require("./models/StatusUpdateCompact");
Object.defineProperty(exports, "StatusUpdateCompact", { enumerable: true, get: function () { return StatusUpdateCompact_1.StatusUpdateCompact; } });
var StoryBase_1 = require("./models/StoryBase");
Object.defineProperty(exports, "StoryBase", { enumerable: true, get: function () { return StoryBase_1.StoryBase; } });
var StoryResponse_1 = require("./models/StoryResponse");
Object.defineProperty(exports, "StoryResponse", { enumerable: true, get: function () { return StoryResponse_1.StoryResponse; } });
var TagBase_1 = require("./models/TagBase");
Object.defineProperty(exports, "TagBase", { enumerable: true, get: function () { return TagBase_1.TagBase; } });
var TaskBase_1 = require("./models/TaskBase");
Object.defineProperty(exports, "TaskBase", { enumerable: true, get: function () { return TaskBase_1.TaskBase; } });
var TaskCompact_1 = require("./models/TaskCompact");
Object.defineProperty(exports, "TaskCompact", { enumerable: true, get: function () { return TaskCompact_1.TaskCompact; } });
var TaskDuplicateRequest_1 = require("./models/TaskDuplicateRequest");
Object.defineProperty(exports, "TaskDuplicateRequest", { enumerable: true, get: function () { return TaskDuplicateRequest_1.TaskDuplicateRequest; } });
var TeamRequest_1 = require("./models/TeamRequest");
Object.defineProperty(exports, "TeamRequest", { enumerable: true, get: function () { return TeamRequest_1.TeamRequest; } });
var TeamResponse_1 = require("./models/TeamResponse");
Object.defineProperty(exports, "TeamResponse", { enumerable: true, get: function () { return TeamResponse_1.TeamResponse; } });
var TimePeriodCompact_1 = require("./models/TimePeriodCompact");
Object.defineProperty(exports, "TimePeriodCompact", { enumerable: true, get: function () { return TimePeriodCompact_1.TimePeriodCompact; } });
var AttachmentsService_1 = require("./services/AttachmentsService");
Object.defineProperty(exports, "AttachmentsService", { enumerable: true, get: function () { return AttachmentsService_1.AttachmentsService; } });
var AuditLogApiService_1 = require("./services/AuditLogApiService");
Object.defineProperty(exports, "AuditLogApiService", { enumerable: true, get: function () { return AuditLogApiService_1.AuditLogApiService; } });
var BatchApiService_1 = require("./services/BatchApiService");
Object.defineProperty(exports, "BatchApiService", { enumerable: true, get: function () { return BatchApiService_1.BatchApiService; } });
var CustomFieldsService_1 = require("./services/CustomFieldsService");
Object.defineProperty(exports, "CustomFieldsService", { enumerable: true, get: function () { return CustomFieldsService_1.CustomFieldsService; } });
var CustomFieldSettingsService_1 = require("./services/CustomFieldSettingsService");
Object.defineProperty(exports, "CustomFieldSettingsService", { enumerable: true, get: function () { return CustomFieldSettingsService_1.CustomFieldSettingsService; } });
var EventsService_1 = require("./services/EventsService");
Object.defineProperty(exports, "EventsService", { enumerable: true, get: function () { return EventsService_1.EventsService; } });
var GoalRelationshipsService_1 = require("./services/GoalRelationshipsService");
Object.defineProperty(exports, "GoalRelationshipsService", { enumerable: true, get: function () { return GoalRelationshipsService_1.GoalRelationshipsService; } });
var GoalsService_1 = require("./services/GoalsService");
Object.defineProperty(exports, "GoalsService", { enumerable: true, get: function () { return GoalsService_1.GoalsService; } });
var JobsService_1 = require("./services/JobsService");
Object.defineProperty(exports, "JobsService", { enumerable: true, get: function () { return JobsService_1.JobsService; } });
var OrganizationExportsService_1 = require("./services/OrganizationExportsService");
Object.defineProperty(exports, "OrganizationExportsService", { enumerable: true, get: function () { return OrganizationExportsService_1.OrganizationExportsService; } });
var PortfolioMembershipsService_1 = require("./services/PortfolioMembershipsService");
Object.defineProperty(exports, "PortfolioMembershipsService", { enumerable: true, get: function () { return PortfolioMembershipsService_1.PortfolioMembershipsService; } });
var PortfoliosService_1 = require("./services/PortfoliosService");
Object.defineProperty(exports, "PortfoliosService", { enumerable: true, get: function () { return PortfoliosService_1.PortfoliosService; } });
var ProjectBriefsService_1 = require("./services/ProjectBriefsService");
Object.defineProperty(exports, "ProjectBriefsService", { enumerable: true, get: function () { return ProjectBriefsService_1.ProjectBriefsService; } });
var ProjectMembershipsService_1 = require("./services/ProjectMembershipsService");
Object.defineProperty(exports, "ProjectMembershipsService", { enumerable: true, get: function () { return ProjectMembershipsService_1.ProjectMembershipsService; } });
var ProjectsService_1 = require("./services/ProjectsService");
Object.defineProperty(exports, "ProjectsService", { enumerable: true, get: function () { return ProjectsService_1.ProjectsService; } });
var ProjectStatusesService_1 = require("./services/ProjectStatusesService");
Object.defineProperty(exports, "ProjectStatusesService", { enumerable: true, get: function () { return ProjectStatusesService_1.ProjectStatusesService; } });
var ProjectTemplatesService_1 = require("./services/ProjectTemplatesService");
Object.defineProperty(exports, "ProjectTemplatesService", { enumerable: true, get: function () { return ProjectTemplatesService_1.ProjectTemplatesService; } });
var SectionsService_1 = require("./services/SectionsService");
Object.defineProperty(exports, "SectionsService", { enumerable: true, get: function () { return SectionsService_1.SectionsService; } });
var StatusUpdatesService_1 = require("./services/StatusUpdatesService");
Object.defineProperty(exports, "StatusUpdatesService", { enumerable: true, get: function () { return StatusUpdatesService_1.StatusUpdatesService; } });
var StoriesService_1 = require("./services/StoriesService");
Object.defineProperty(exports, "StoriesService", { enumerable: true, get: function () { return StoriesService_1.StoriesService; } });
var TagsService_1 = require("./services/TagsService");
Object.defineProperty(exports, "TagsService", { enumerable: true, get: function () { return TagsService_1.TagsService; } });
var TasksService_1 = require("./services/TasksService");
Object.defineProperty(exports, "TasksService", { enumerable: true, get: function () { return TasksService_1.TasksService; } });
var TeamMembershipsService_1 = require("./services/TeamMembershipsService");
Object.defineProperty(exports, "TeamMembershipsService", { enumerable: true, get: function () { return TeamMembershipsService_1.TeamMembershipsService; } });
var TeamsService_1 = require("./services/TeamsService");
Object.defineProperty(exports, "TeamsService", { enumerable: true, get: function () { return TeamsService_1.TeamsService; } });
var TimePeriodsService_1 = require("./services/TimePeriodsService");
Object.defineProperty(exports, "TimePeriodsService", { enumerable: true, get: function () { return TimePeriodsService_1.TimePeriodsService; } });
var TypeaheadService_1 = require("./services/TypeaheadService");
Object.defineProperty(exports, "TypeaheadService", { enumerable: true, get: function () { return TypeaheadService_1.TypeaheadService; } });
var UsersService_1 = require("./services/UsersService");
Object.defineProperty(exports, "UsersService", { enumerable: true, get: function () { return UsersService_1.UsersService; } });
var UserTaskListsService_1 = require("./services/UserTaskListsService");
Object.defineProperty(exports, "UserTaskListsService", { enumerable: true, get: function () { return UserTaskListsService_1.UserTaskListsService; } });
var WebhooksService_1 = require("./services/WebhooksService");
Object.defineProperty(exports, "WebhooksService", { enumerable: true, get: function () { return WebhooksService_1.WebhooksService; } });
var WorkspaceMembershipsService_1 = require("./services/WorkspaceMembershipsService");
Object.defineProperty(exports, "WorkspaceMembershipsService", { enumerable: true, get: function () { return WorkspaceMembershipsService_1.WorkspaceMembershipsService; } });
var WorkspacesService_1 = require("./services/WorkspacesService");
Object.defineProperty(exports, "WorkspacesService", { enumerable: true, get: function () { return WorkspacesService_1.WorkspacesService; } });
