"use strict";
/* istanbul ignore file */
/* tslint:disable */
/* eslint-disable */
Object.defineProperty(exports, "__esModule", { value: true });
exports.AuditLogEventContext = void 0;
var AuditLogEventContext;
(function (AuditLogEventContext) {
    /**
     * The type of context.
     * Can be one of `web`, `desktop`, `mobile`, `asana_support`, `asana`, `email`, or `api`.
     */
    let context_type;
    (function (context_type) {
        context_type["WEB"] = "web";
        context_type["DESKTOP"] = "desktop";
        context_type["MOBILE"] = "mobile";
        context_type["ASANA_SUPPORT"] = "asana_support";
        context_type["ASANA"] = "asana";
        context_type["EMAIL"] = "email";
        context_type["API"] = "api";
    })(context_type = AuditLogEventContext.context_type || (AuditLogEventContext.context_type = {}));
    /**
     * The authentication method used in the context of an API request.
     * Only present if the `context_type` is `api`. Can be one of `cookie`, `oauth`, `personal_access_token`, or `service_account`.
     */
    let api_authentication_method;
    (function (api_authentication_method) {
        api_authentication_method["COOKIE"] = "cookie";
        api_authentication_method["OAUTH"] = "oauth";
        api_authentication_method["PERSONAL_ACCESS_TOKEN"] = "personal_access_token";
        api_authentication_method["SERVICE_ACCOUNT"] = "service_account";
    })(api_authentication_method = AuditLogEventContext.api_authentication_method || (AuditLogEventContext.api_authentication_method = {}));
})(AuditLogEventContext = exports.AuditLogEventContext || (exports.AuditLogEventContext = {}));
