import type { ProjectCompact } from './ProjectCompact';
import type { ProjectMembershipCompact } from './ProjectMembershipCompact';
export declare type ProjectMembershipResponse = (ProjectMembershipCompact & {
    /**
     * [Opt In](/docs/input-output-options). The project the user is a member of.
     */
    project?: ProjectCompact;
    /**
     * Whether the user has full access to the project or has comment-only access.
     */
    readonly write_access?: ProjectMembershipResponse.write_access;
});
export declare namespace ProjectMembershipResponse {
    /**
     * Whether the user has full access to the project or has comment-only access.
     */
    enum write_access {
        FULL_WRITE = "full_write",
        COMMENT_ONLY = "comment_only"
    }
}
