"use strict";
/* istanbul ignore file */
/* tslint:disable */
/* eslint-disable */
Object.defineProperty(exports, "__esModule", { value: true });
exports.TaskCompact = void 0;
var TaskCompact;
(function (TaskCompact) {
    /**
     * The subtype of this resource. Different subtypes retain many of the same fields and behavior, but may render differently in Asana or represent resources with different semantic meaning.
     * The resource_subtype `milestone` represent a single moment in time. This means tasks with this subtype cannot have a start_date.
     */
    let resource_subtype;
    (function (resource_subtype) {
        resource_subtype["DEFAULT_TASK"] = "default_task";
        resource_subtype["MILESTONE"] = "milestone";
        resource_subtype["SECTION"] = "section";
        resource_subtype["APPROVAL"] = "approval";
    })(resource_subtype = TaskCompact.resource_subtype || (TaskCompact.resource_subtype = {}));
})(TaskCompact = exports.TaskCompact || (exports.TaskCompact = {}));
