export declare type TaskDuplicateRequest = {
    /**
     * The name of the new task.
     */
    name?: string;
    /**
     * The fields that will be duplicated to the new task.
     */
    include?: TaskDuplicateRequest.include;
};
export declare namespace TaskDuplicateRequest {
    /**
     * The fields that will be duplicated to the new task.
     */
    enum include {
        NOTES = "notes",
        ASSIGNEE = "assignee",
        SUBTASKS = "subtasks",
        ATTACHMENTS = "attachments",
        TAGS = "tags",
        FOLLOWERS = "followers",
        PROJECTS = "projects",
        DATES = "dates",
        DEPENDENCIES = "dependencies",
        PARENT = "parent"
    }
}
