"use strict";
/* istanbul ignore file */
/* tslint:disable */
/* eslint-disable */
Object.defineProperty(exports, "__esModule", { value: true });
exports.CustomFieldBase = void 0;
var CustomFieldBase;
(function (CustomFieldBase) {
    /**
     * The format of this custom field.
     */
    let format;
    (function (format) {
        format["CURRENCY"] = "currency";
        format["IDENTIFIER"] = "identifier";
        format["PERCENTAGE"] = "percentage";
        format["CUSTOM"] = "custom";
        format["NONE"] = "none";
    })(format = CustomFieldBase.format || (CustomFieldBase.format = {}));
    /**
     * Only relevant for custom fields with `custom` format. This depicts where to place the custom label. This will be null if the `format` is not `custom`.
     */
    let custom_label_position;
    (function (custom_label_position) {
        custom_label_position["PREFIX"] = "prefix";
        custom_label_position["SUFFIX"] = "suffix";
    })(custom_label_position = CustomFieldBase.custom_label_position || (CustomFieldBase.custom_label_position = {}));
})(CustomFieldBase = exports.CustomFieldBase || (exports.CustomFieldBase = {}));
