"use strict";
/* istanbul ignore file */
/* tslint:disable */
/* eslint-disable */
Object.defineProperty(exports, "__esModule", { value: true });
exports.TaskBase = void 0;
var TaskBase;
(function (TaskBase) {
    /**
     * *Conditional* Reflects the approval status of this task. This field is kept in sync with `completed`, meaning `pending` translates to false while `approved`, `rejected`, and `changes_requested` translate to true. If you set completed to true, this field will be set to `approved`.
     */
    let approval_status;
    (function (approval_status) {
        approval_status["PENDING"] = "pending";
        approval_status["APPROVED"] = "approved";
        approval_status["REJECTED"] = "rejected";
        approval_status["CHANGES_REQUESTED"] = "changes_requested";
    })(approval_status = TaskBase.approval_status || (TaskBase.approval_status = {}));
    /**
     * *Deprecated* Scheduling status of this task for the user it is assigned to. This field can only be set if the assignee is non-null. Setting this field to "inbox" or "upcoming" inserts it at the top of the section, while the other options will insert at the bottom.
     */
    let assignee_status;
    (function (assignee_status) {
        assignee_status["TODAY"] = "today";
        assignee_status["UPCOMING"] = "upcoming";
        assignee_status["LATER"] = "later";
        assignee_status["NEW"] = "new";
        assignee_status["INBOX"] = "inbox";
    })(assignee_status = TaskBase.assignee_status || (TaskBase.assignee_status = {}));
})(TaskBase = exports.TaskBase || (exports.TaskBase = {}));
